const http = require("http");


class Server{
    constructor(config){
        this.port = config.port ;
        this.hostName = config.hostName;
        this.eventEmitter = config.eventEmitter;
        this.eventListenerName = config.eventListenerName ; 
    };

    start(){
        http.createServer((req, res)=>{
            this.eventEmitter.emit(this.eventListenerName , (req , res));
        }).listen(this.port ,
             console.log(`server has started on ${this.hostName} on port ${this.port}`)); 
    }

}

module.exports = 
    Server